package com.njcn.service.user;

import com.njcn.pojo.user.DeptslineTree;

import java.util.List;

public interface DeptsLineTreeService {


	List<DeptslineTree> getDeptsLineTree(String area);

	//自定义未绑定
	List<DeptslineTree> getDeptsLineTreeNo(String deptsIndex, String area);
	//自定义、非自定义自己绑定
	List<DeptslineTree> getDeptsLineTreeMyself(String deptsIndex, String area);

	//非自定义未绑定的
	List<DeptslineTree> getDeptsLineTreeNoF(String deptsIndex, String area);
	//非自定其他绑定的
	List<DeptslineTree> getDeptsLineTreeOther(String deptsIndex, String area);

}
